Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004230 [JEDI VCL] 00 JVCL Components feature N/A 2007-09-13 06:44 2008-10-14 02:29
Reporter Nazgul View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.32
Summary 0004230: Sort on non-data fields in TJvMemoryData
Description This patch allows TJvMemoryData to sort data on fields that are not of type fkData.
Additional Information Check out the attached patch file.
Tags No tags attached.
Attached Files ? file icon JvMemoryDataSet.pas.patch [^] (3,924 bytes) 2007-09-13 06:44
? file icon JvMemoryDataSet2.pas.patch [^] (4,545 bytes) 2008-10-05 12:03

- Relationships

-  Notes
(0013937)
obones (administrator)
2007-10-12 08:39

In which conditions can an user need to sort on "non fkData" fields?
(0013976)
Nazgul (reporter)
2007-10-16 08:59

I found my patch quite useful. I think an user may need to sort on fkLookup or fkCalculated fields.

For example, in my application I have a TJvMemoryData that represents invoices. It contains two fkData fields: Amount w/o VAT, and VAT. I also have one fkCalculated field, Amount w/ VAT, which is sum of Amount w/o VAT and VAT. And the users need to sort the dataset on Amount w/ VAT field.
(0014260)
obones (administrator)
2008-02-21 07:36

Please send us a patch in a format that TortoiseSVN can understand, based on the current SVN version. The two codes are right now too different for us to integrate this patch.
Thanks in advance
(0014431)
obones (administrator)
2008-07-23 07:16

Hello, any news?
(0014447)
Nazgul (reporter)
2008-07-23 07:42

How can I check out JvMemoryDataSet.pas? I checked out the entire JVCL repository, but JvMemoryDataSet.pas is not there...
(0014449)
obones (administrator)
2008-07-23 13:07

It is in the "run" directory, except that it is spelled this way:

JvMemoryDataset.pas

There is not capital s.
(0014453)
Nazgul (reporter)
2008-07-24 01:52

I can't find the "run" directory.

It is probably created during the installation. But I don't want to overwrite my my current installation of jvcl with the svn version. I need to use the stable version.
(0014454)
obones (administrator)
2008-07-24 02:04

No, it is not created during installation. It is right there, at the root of the directory where you installed the JVCL.
(0014455)
obones (administrator)
2008-07-24 02:06

https://jvcl.svn.sourceforge.net/svnroot/jvcl/trunk/jvcl/run/ [^]
(0014456)
Nazgul (reporter)
2008-07-24 02:45

Oh, I've just found out that I've accidentaly checked out jcl instead of jvcl ;-)

Stupid, stupid me. I am sorry for the confusion.

The link to "Web SVN" on the main JVCL page is broken. On the downloads page two more links to the svn repository are broken, too.

Nevertheless, now I have the head revision of JvMemoryDataset.pas, so I will merge my update, test it and create a patch for svn.
(0014752)
Nazgul (reporter)
2008-10-05 12:03

Here is the patch for the latest version of Jvcl. I have tested it and it worked fine for me.
(0014857)
obones (administrator)
2008-10-14 02:28

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2007-09-13 06:44 Nazgul New Issue
2007-09-13 06:44 Nazgul File Added: JvMemoryDataSet.pas.patch
2007-10-12 08:39 obones Note Added: 0013937
2007-10-12 08:39 obones Status new => feedback
2007-10-16 08:59 Nazgul Note Added: 0013976
2008-02-21 07:36 obones Note Added: 0014260
2008-07-23 07:16 obones Note Added: 0014431
2008-07-23 07:42 Nazgul Note Added: 0014447
2008-07-23 13:07 obones Note Added: 0014449
2008-07-24 01:52 Nazgul Note Added: 0014453
2008-07-24 02:04 obones Note Added: 0014454
2008-07-24 02:06 obones Note Added: 0014455
2008-07-24 02:45 Nazgul Note Added: 0014456
2008-10-05 12:03 Nazgul Note Added: 0014752
2008-10-05 12:03 Nazgul File Added: JvMemoryDataSet2.pas.patch
2008-10-14 02:28 obones Status feedback => resolved
2008-10-14 02:28 obones Fixed in Version => Daily / SVN
2008-10-14 02:28 obones Resolution open => fixed
2008-10-14 02:28 obones Assigned To => obones
2008-10-14 02:28 obones Note Added: 0014857


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker